Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.apps
Class FopFactoryConfigurator

    java.lang.Object
      org.apache.fop.apps.FopFactoryConfigurator

    public class FopFactoryConfigurator

extends java.lang.Object

FopFactory configurator

Field Summary
`static boolean` | `DEFAULT_BREAK_INDENT_INHERITANCE` Defines if FOP should use an alternative rule to determine text indents
`static boolean` | `DEFAULT_COMPLEX_SCRIPT_FEATURES` Defines the default complex script support
`static java.lang.String` | `DEFAULT_PAGE_HEIGHT` Defines the default page-height
`static java.lang.String` | `DEFAULT_PAGE_WIDTH` Defines the default page-width
`static float` | `DEFAULT_SOURCE_RESOLUTION` Defines the default source resolution (72dpi) for FOP
`static boolean` | `DEFAULT_STRICT_FO_VALIDATION` Defines if FOP should use strict validation for FO and user config
`static boolean` | `DEFAULT_STRICT_USERCONFIG_VALIDATION` Defines if FOP should validate the user config strictly
`static float` | `DEFAULT_TARGET_RESOLUTION` Defines the default target resolution (72dpi) for FOP

Constructor Summary
`FopFactoryConfigurator(FopFactory factory)` Default constructor

Method Summary
`void` | `configure(FopFactory factory)` Initializes user agent settings from the user configuration file, if present: baseURL, resolution, default page size,...
`java.net.URI` | `getBaseURI()`
`org.apache.avalon.framework.configuration.Configuration` | `getUserConfig()` Get the avalon user configuration.
`void` | `setBaseURI(java.net.URI baseURI)`
`void` | `setUserConfig(org.apache.avalon.framework.configuration.Configuration cfg)` Set the user configuration.
`void` | `setUserConfig(java.io.File userConfigFile)` Set the user configuration.
`void` | `setUserConfig(java.lang.String uri)` Set the user configuration from an URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BREAK_INDENT_INHERITANCE

    public static final boolean DEFAULT_BREAK_INDENT_INHERITANCE

  Defines if FOP should use an alternative rule to determine text indents

  See Also:
    Constant Field Values

### DEFAULT_STRICT_USERCONFIG_VALIDATION

    public static final boolean DEFAULT_STRICT_USERCONFIG_VALIDATION

  Defines if FOP should validate the user config strictly

  See Also:
    Constant Field Values

### DEFAULT_STRICT_FO_VALIDATION

    public static final boolean DEFAULT_STRICT_FO_VALIDATION

  Defines if FOP should use strict validation for FO and user config

  See Also:
    Constant Field Values

### DEFAULT_PAGE_WIDTH

    public static final java.lang.String DEFAULT_PAGE_WIDTH

  Defines the default page-width

  See Also:
    Constant Field Values

### DEFAULT_PAGE_HEIGHT

    public static final java.lang.String DEFAULT_PAGE_HEIGHT

  Defines the default page-height

  See Also:
    Constant Field Values

### DEFAULT_SOURCE_RESOLUTION

    public static final float DEFAULT_SOURCE_RESOLUTION

  Defines the default source resolution (72dpi) for FOP

  See Also:
    Constant Field Values

### DEFAULT_TARGET_RESOLUTION

    public static final float DEFAULT_TARGET_RESOLUTION

  Defines the default target resolution (72dpi) for FOP

  See Also:
    Constant Field Values

### DEFAULT_COMPLEX_SCRIPT_FEATURES

    public static final boolean DEFAULT_COMPLEX_SCRIPT_FEATURES

  Defines the default complex script support

  See Also:
    Constant Field Values

Constructor Detail

### FopFactoryConfigurator

    public FopFactoryConfigurator(FopFactory factory)

  Default constructor

  Parameters:
    `factory` - fop factory

Method Detail

### configure

    public void configure(FopFactory factory)
                   throws FOPException

  Initializes user agent settings from the user configuration file, if present: baseURL, resolution, default page size,...

  Parameters:
    `factory` - fop factory
  Throws:
    `FOPException` - fop exception

### setUserConfig

    public void setUserConfig(java.io.File userConfigFile)
                       throws org.xml.sax.SAXException,
                              java.io.IOException

  Set the user configuration.

  Parameters:
    `userConfigFile` - the configuration file
  Throws:
    `java.io.IOException` - if an I/O error occurs
    `org.xml.sax.SAXException` - if a parsing error occurs

### setUserConfig

    public void setUserConfig(java.lang.String uri)
                       throws org.xml.sax.SAXException,
                              java.io.IOException

  Set the user configuration from an URI.

  Parameters:
    `uri` - the URI to the configuration file
  Throws:
    `java.io.IOException` - if an I/O error occurs
    `org.xml.sax.SAXException` - if a parsing error occurs

### setUserConfig

    public void setUserConfig(org.apache.avalon.framework.configuration.Configuration cfg)
                       throws FOPException

  Set the user configuration.

  Parameters:
    `cfg` - avalon configuration
  Throws:
    `FOPException` - if a configuration problem occurs

### getUserConfig

    public org.apache.avalon.framework.configuration.Configuration getUserConfig()

  Get the avalon user configuration.

  Returns:
    the user configuration

### getBaseURI

    public java.net.URI getBaseURI()

  Returns:
    the baseURI

### setBaseURI

    public void setBaseURI(java.net.URI baseURI)

  Parameters:
    `baseURI` - the baseURI to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.